Debian Bug report logs - #511377
rxvt-unicode: cannot scroll with keyboard when mouse is outside of terminal window and perl-ext-common: tabbed resource set

version graph

Package: rxvt-unicode; Maintainer for rxvt-unicode is Ryan Kavanagh <rak@debian.org>; Source for rxvt-unicode is src:rxvt-unicode.

Reported by: Kenyon Ralph <kenyon@kenyonralph.com>

Date: Sat, 10 Jan 2009 08:48:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version rxvt-unicode/9.06-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#511377; Package rxvt-unicode. (Sat, 10 Jan 2009 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenyon Ralph <kenyon@kenyonralph.com>:
New Bug report received and forwarded. Copy sent to Decklin Foster <decklin@red-bean.com>. (Sat, 10 Jan 2009 08:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kenyon Ralph <kenyon@kenyonralph.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rxvt-unicode: cannot scroll with keyboard when mouse is outside of terminal window and perl-ext-common: tabbed resource set
Date: Sat, 10 Jan 2009 00:42:19 -0800
Package: rxvt-unicode
Version: 9.06-1
Severity: normal


To reproduce, make an ~/.Xdefaults containg the following:

    URxvt.perl-ext-common: tabbed

Now start urxvt and enter some commands so that there is enough output
to scroll. Notice how scrolling with Ctrl-PageUp and Ctrl-PageDown only
works if the mouse pointer is in the urxvt window.

I'm using the xmonad window manager, if it makes any difference.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages rxvt-unicode depends on:
ii  base-passwd            3.5.19            Debian base system master password
ii  libafterimage0         2.2.8-2           imaging library designed for After
ii  libc6                  2.7-18            GNU C Library: Shared libraries
ii  libcairo2              1.6.4-7           The Cairo 2D vector graphics libra
ii  libfontconfig1         2.6.0-3           generic font configuration library
ii  libfreetype6           2.3.7-2           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.2-1.1       GCC support library
ii  libglib2.0-0           2.16.6-1          The GLib library of C routines
ii  libgtk2.0-0            2.12.11-4         The GTK+ graphical user interface
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG
ii  libperl5.10            5.10.0-19         Shared Perl library
ii  libpng12-0             1.2.27-2          PNG library - runtime
ii  librsvg2-2             2.22.2-4          SAX-based renderer library for SVG
ii  libsm6                 2:1.0.3-2         X11 Session Management library
ii  libtiff4               3.8.2-11          Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.1.5-2         X11 client-side library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxft2                2.1.12-3          FreeType-based font drawing librar
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  ncurses-base           5.7+20081227-1    basic terminal type definitions
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

rxvt-unicode recommends no packages.

Versions of packages rxvt-unicode suggests:
ii  ttf-dejavu                    2.25-3     Metapackage to pull in ttf-dejavu-

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#511377; Package rxvt-unicode. (Sat, 10 Jan 2009 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenyon Ralph <kenyon@kenyonralph.com>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Sat, 10 Jan 2009 09:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 511377@bugs.debian.org (full text, mbox):

From: Kenyon Ralph <kenyon@kenyonralph.com>
To: 511377@bugs.debian.org
Subject: Re: Bug#511377: Acknowledgement (rxvt-unicode: cannot scroll with keyboard when mouse is outside of terminal window and perl-ext-common: tabbed resource set)
Date: Sat, 10 Jan 2009 00:59:39 -0800
[Message part 1 (text/plain, inline)]
I meant Shift-PageUp and Shift-PageDown, of course.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#511377; Package rxvt-unicode. (Tue, 28 Jul 2009 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Emilio J. Padron" <emilioj@udc.es>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Tue, 28 Jul 2009 16:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 511377@bugs.debian.org (full text, mbox):

From: "Emilio J. Padron" <emilioj@udc.es>
To: Debian Bug Tracking System <511377@bugs.debian.org>
Subject: rxvt-unicode: Same problem, but not only with keyboard scroll
Date: Tue, 28 Jul 2009 18:41:51 +0200
Package: rxvt-unicode
Version: 9.06-1
Severity: normal


Hi there,

Same problem here with the shift+up/down scroll when the mouse pointer 
is outside the window. I have also noticed that I can not write accented
characters (spanish accents in my case) in the same situation: 
I get _a_ instead of _á_ when the mouse pointer is outside the window.

Thanks and best regards,
Emilio

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/bash

Versions of packages rxvt-unicode depends on:
ii  base-passwd            3.5.21            Debian base system master password
ii  libafterimage0         2.2.9-2           imaging library designed for After
ii  libc6                  2.9-23            GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector graphics libra
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libfreetype6           2.3.9-5           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.4.1-1         GCC support library
ii  libglib2.0-0           2.20.4-1          The GLib library of C routines
ii  libgtk2.0-0            2.16.5-1          The GTK+ graphical user interface 
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libperl5.10            5.10.0-24         Shared Perl library
ii  libpng12-0             1.2.38-1          PNG library - runtime
ii  librsvg2-2             2.26.0-1          SAX-based renderer library for SVG
ii  libsm6                 2:1.1.0-2         X11 Session Management library
ii  libtiff4               3.8.2-13          Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxft2                2.1.13-3          FreeType-based font drawing librar
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  ncurses-base           5.7+20090613-1    basic terminal type definitions
ii  zlib1g                 1:1.2.3.3.dfsg-14 compression library - runtime

rxvt-unicode recommends no packages.

Versions of packages rxvt-unicode suggests:
ii  ttf-dejavu                    2.29-3     Metapackage to pull in ttf-dejavu-

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#511377; Package rxvt-unicode. (Tue, 28 Jul 2009 16:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Emilio J. Padron" <emilioj@udc.es>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Tue, 28 Jul 2009 16:54:08 GMT) Full text and rfc822 format available.

Message #20 received at 511377@bugs.debian.org (full text, mbox):

From: "Emilio J. Padron" <emilioj@udc.es>
To: Debian Bug Tracking System <511377@bugs.debian.org>
Subject: rxvt-unicode: regarding the problem with accents and scroll
Date: Tue, 28 Jul 2009 18:46:41 +0200
Package: rxvt-unicode
Version: 9.06-1
Severity: normal


I forgot to say that I am also using the perl tab extension. My window
manager is awesome (http://packages.debian.org/sid/awesome)

Emilio


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/bash

Versions of packages rxvt-unicode depends on:
ii  base-passwd            3.5.21            Debian base system master password
ii  libafterimage0         2.2.9-2           imaging library designed for After
ii  libc6                  2.9-23            GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector graphics libra
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libfreetype6           2.3.9-5           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.4.1-1         GCC support library
ii  libglib2.0-0           2.20.4-1          The GLib library of C routines
ii  libgtk2.0-0            2.16.5-1          The GTK+ graphical user interface 
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libperl5.10            5.10.0-24         Shared Perl library
ii  libpng12-0             1.2.38-1          PNG library - runtime
ii  librsvg2-2             2.26.0-1          SAX-based renderer library for SVG
ii  libsm6                 2:1.1.0-2         X11 Session Management library
ii  libtiff4               3.8.2-13          Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxft2                2.1.13-3          FreeType-based font drawing librar
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  ncurses-base           5.7+20090613-1    basic terminal type definitions
ii  zlib1g                 1:1.2.3.3.dfsg-14 compression library - runtime

rxvt-unicode recommends no packages.

Versions of packages rxvt-unicode suggests:
ii  ttf-dejavu                    2.29-3     Metapackage to pull in ttf-dejavu-

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#511377; Package rxvt-unicode. (Mon, 03 Aug 2009 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Rudchenko <igor@thinkpads.net>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Mon, 03 Aug 2009 17:09:02 GMT) Full text and rfc822 format available.

Message #25 received at 511377@bugs.debian.org (full text, mbox):

From: Igor Rudchenko <igor@thinkpads.net>
To: 511377@bugs.debian.org
Subject: rxvt-unicode: problem with tabbed module
Date: Mon, 03 Aug 2009 20:00:54 +0300
I wrote to author of rxvt-unicode and receive an answer, that is a known 
problem, but unfortunately tabbed not well-supported and nobody else is 
interested in improving it enough to do it.

Igor.




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#511377; Package rxvt-unicode. (Tue, 08 Dec 2009 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pohlack <mp26@os.inf.tu-dresden.de>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Tue, 08 Dec 2009 19:24:05 GMT) Full text and rfc822 format available.

Message #30 received at 511377@bugs.debian.org (full text, mbox):

From: Martin Pohlack <mp26@os.inf.tu-dresden.de>
To: 511377@bugs.debian.org
Subject: Patch draft
Date: Tue, 08 Dec 2009 20:03:49 +0100
Hi,

you may want to look at my patch draft here:

http://lists.schmorp.de/pipermail/rxvt-unicode/2009q1/000908.html

Maybe this could be a starting point for a fix?

Cheers,
Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>:
Bug#511377; Package rxvt-unicode. (Sat, 24 Sep 2011 21:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pohlack <mp26@os.inf.tu-dresden.de>:
Extra info received and forwarded to list. Copy sent to Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>. (Sat, 24 Sep 2011 21:17:21 GMT) Full text and rfc822 format available.

Message #35 received at 511377@bugs.debian.org (full text, mbox):

From: Martin Pohlack <mp26@os.inf.tu-dresden.de>
To: 511377@bugs.debian.org
Subject: Re: Patch draft
Date: Sat, 24 Sep 2011 22:34:43 +0200
Hi,

I described a simple solution here:

http://permalink.gmane.org/gmane.comp.terminal-emulators.rxvt-unicode.general/996

HTH,
Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>:
Bug#511377; Package rxvt-unicode. (Sat, 19 Nov 2011 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
Extra info received and forwarded to list. Copy sent to Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>. (Sat, 19 Nov 2011 15:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 511377@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: 511377@bugs.debian.org, 531751@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Fixed upstream
Date: Sat, 19 Nov 2011 09:57:43 -0500
[Message part 1 (text/plain, inline)]
tag 511377 fixed-upstream
tag 531751 fixed-upstream
thanks

Hi,

This bug appears to have been fixed upstream, please feel free to test
the patch, hereby attached, against the file /usr/lib/urxvt/perl/tabbed

Due to the ongoing perl transition, the package can't be updated for at
least the next few days. Once the transition is over, I might upload a
package with the patch applied depending on how far away the next
upstream release is.

Best wishes,
Ryan

-- 
|_)|_/  Ryan Kavanagh             |  GnuPG key
| \| \  http://ryanak.ca/         |  4A11C97A
[tabbed.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Ryan Kavanagh <ryanakca@kubuntu.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 15:00:11 GMT) Full text and rfc822 format available.

Reply sent to Ryan Kavanagh <ryanakca@kubuntu.org>:
You have taken responsibility. (Fri, 23 Dec 2011 00:06:05 GMT) Full text and rfc822 format available.

Notification sent to Kenyon Ralph <kenyon@kenyonralph.com>:
Bug acknowledged by developer. (Fri, 23 Dec 2011 00:06:05 GMT) Full text and rfc822 format available.

Message #47 received at 511377-close@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: 511377-close@bugs.debian.org
Subject: Bug#511377: fixed in rxvt-unicode 9.14-1
Date: Fri, 23 Dec 2011 00:03:25 +0000
Source: rxvt-unicode
Source-Version: 9.14-1

We believe that the bug you reported is fixed in the latest version of
rxvt-unicode, which is due to be installed in the Debian FTP archive:

rxvt-unicode-256color_9.14-1_i386.deb
  to main/r/rxvt-unicode/rxvt-unicode-256color_9.14-1_i386.deb
rxvt-unicode-lite_9.14-1_i386.deb
  to main/r/rxvt-unicode/rxvt-unicode-lite_9.14-1_i386.deb
rxvt-unicode-ml_9.14-1_i386.deb
  to main/r/rxvt-unicode/rxvt-unicode-ml_9.14-1_i386.deb
rxvt-unicode_9.14-1.debian.tar.gz
  to main/r/rxvt-unicode/rxvt-unicode_9.14-1.debian.tar.gz
rxvt-unicode_9.14-1.dsc
  to main/r/rxvt-unicode/rxvt-unicode_9.14-1.dsc
rxvt-unicode_9.14-1_i386.deb
  to main/r/rxvt-unicode/rxvt-unicode_9.14-1_i386.deb
rxvt-unicode_9.14.orig.tar.bz2
  to main/r/rxvt-unicode/rxvt-unicode_9.14.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511377@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Kavanagh <ryanakca@kubuntu.org> (supplier of updated rxvt-unicode package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 22 Dec 2011 18:09:33 -0500
Source: rxvt-unicode
Binary: rxvt-unicode rxvt-unicode-ml rxvt-unicode-256color rxvt-unicode-lite
Architecture: source i386
Version: 9.14-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
Changed-By: Ryan Kavanagh <ryanakca@kubuntu.org>
Description: 
 rxvt-unicode - RXVT-like terminal emulator with Unicode support
 rxvt-unicode-256color - multi-lingual terminal emulator with Unicode support for X11
 rxvt-unicode-lite - RXVT-like terminal emulator with basic Unicode support
 rxvt-unicode-ml - multi-lingual terminal emulator -- transitional package
Closes: 459924 511377 531751 551898 633989 642533
Changes: 
 rxvt-unicode (9.14-1) unstable; urgency=low
 .
   * Imported Upstream version 9.14
     - Updated copyright file
     - Includes perl extension to specify bell command (Closes: #633989)
     - Fixes bugs in tabbed extension (Closes: #531751, #511377, #459924)
     - Fixes redraw bug that occurs when window managers do not honour the size
       hints set by urxvt (Closes: #551898)
   * Added missing NMU to changelog
   * Recommend "fonts-vlgothic | fonts-japanese-gothic", not
     "ttf-sazanami-gothic". (Closes: #642533)
   * Drop 08_rebuild_docs.diff, upstream now supports rebuilding documentation
   * Update debian/rules to rebuild docs using upstream Makefile
   * rxvt-unicode-ml should be oldlibs/extra since it's a transition package
Checksums-Sha1: 
 d63c080927db7493676530fc9d1968492e8f2399 3410 rxvt-unicode_9.14-1.dsc
 e303b7591225b06bc04e18a875461438c635014e 894702 rxvt-unicode_9.14.orig.tar.bz2
 35bf089cca542181fd82e2e0151ba0a12a0f9697 29817 rxvt-unicode_9.14-1.debian.tar.gz
 701d19fe00aaee191fa163c65f919e96c18e5438 1289372 rxvt-unicode_9.14-1_i386.deb
 22b438d28dee735b34a75ec4999fb74f554c019c 45124 rxvt-unicode-ml_9.14-1_i386.deb
 8d93dd25adf8dd1c490b0fecb243eeca810d2915 1291370 rxvt-unicode-256color_9.14-1_i386.deb
 b8136e82435e1a6e3be2864fa6a9e24db2ac5451 1073024 rxvt-unicode-lite_9.14-1_i386.deb
Checksums-Sha256: 
 9aee016cb9ae5f9361d3444ad0cdbb520518646e01f96a230dfe0d41a1f2d0cf 3410 rxvt-unicode_9.14-1.dsc
 29928a33be6b3fb0edd126df2c3d35e1900f8268b546ce54430780c550fa1d52 894702 rxvt-unicode_9.14.orig.tar.bz2
 285932113ec51e28b5839b8b96f2bce3186d8ce45417af046065b380e4e2c88e 29817 rxvt-unicode_9.14-1.debian.tar.gz
 35856dd17d4a3ced03868050a79a81b7dc895be421f63d061957185e693bf94c 1289372 rxvt-unicode_9.14-1_i386.deb
 7b26be74553a3b2338500ce552ba82a97e7ad25a8bab5569ab1d8737a4a739d0 45124 rxvt-unicode-ml_9.14-1_i386.deb
 feeb742310cd662db15003d47ee618735b3efecf9b3fa43fe546478be8bd719d 1291370 rxvt-unicode-256color_9.14-1_i386.deb
 887210ce4458ce2fee367be1f6ae60259e3b7dba51aa878114288fc46ad413be 1073024 rxvt-unicode-lite_9.14-1_i386.deb
Files: 
 cc76622aa8a19a9e13c08aaa33c51b06 3410 x11 optional rxvt-unicode_9.14-1.dsc
 022235a9a8b012c29e72c49177be6ce4 894702 x11 optional rxvt-unicode_9.14.orig.tar.bz2
 79d5d5956a0cb900d8ddc12ecd195137 29817 x11 optional rxvt-unicode_9.14-1.debian.tar.gz
 9228615c34fa56ac3c9874832f8a0ba5 1289372 x11 optional rxvt-unicode_9.14-1_i386.deb
 74a4527fde62a1d56b5621cb9c3b691a 45124 oldlibs extra rxvt-unicode-ml_9.14-1_i386.deb
 ce441399b6ffe478efa0123dc47757e8 1291370 x11 optional rxvt-unicode-256color_9.14-1_i386.deb
 ece11c8631b01f823cdbf583ac56fbb0 1073024 x11 optional rxvt-unicode-lite_9.14-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQUcBAEBCgAGBQJO88K+AAoJEI97+PxKEcl6dVEoAK6/XtcmUp4aA3KmPL3rmJoP
XaHPkBjlxachIE+PyjOkEgtnd9Z24rXfXfgWbCvkQBTZIgkIdaPvbzgS1I2qTv/8
k3v0ALfm5ppIJISpa23PSCMfC+H8YO13RJAFLTi+F9yh4gCJoXuuwhc4HJ4FH4z3
dg8DDRJPRQRZnGhw0Hq1kZPa0K+PRjuoZdUgdKLHK3iGC82b5b2MXQ1YosyY0xo0
cP4E9lG6+J8MUgikFjwoz12AwXk/DcFULbQYSbhwDomB/dEpLGhwN4Ym0CWgnORr
Oiy/vtBqqUgu4MX5ikcI8jms3dxTjvPMBeLv2NjlG0L3DKFdMYfJ5z1F8uJcf5OE
ogAa/rrSZSOTjpbRVYl6a43kfSxTw87yyC5jvAL+D8ZIncIyLGHTE7rIBU2S+PVU
LhgKkVgAOcG2kILcj1OBLXmKYdqNb52Iq8WLiql1C7mRflOnEH03tm9hs8GB2ABS
7x9bcuNA8xRufiAReL0ro3JYhaRMRHnlTnSKYy823pgFDf9enhbfNBgPh34+rUeu
bvCtAIxhKKSyUWiWoteD06pBiaaHtsXpTLCYxgg1geR2jRZ1vjmQl8p5hCXiZw/Z
bu5EgDIGiUMoCwCLhSXXC8DVfKdTa57EQYPoRZtJ93wF7qea40OXGMvJq/WkdgRz
6ndOXKOYKNaNql1oBUhy7XjB/MBQZxB+3jOR92NjGi43BIGz+DlU3QybaMoz2DYt
iYRuhXKDzuUR9QTUmhugUzTBRWA43BIU4Zn19OAaDCO/mCC4p3y3+lXoGtpKuEDm
dHTrZsSPpFmSm5TyYkbNqSWz2w8tEBOfpb25QXxM8AYvSqoVQE1NmACBcrNStyCF
GHZ+RtBVMIClO4qEjns1HZ2lMr+NzDTe145e3T/KxROxxfgVaD3ljI2GVD3OaxHG
UzVjfHuXHy3sHpPb9U5zTnUTvIgW392FX9Qnuld3ktIDpsPmMuMr6XhvTuvEE6oy
ca5i/vnjpmSDsMe0NtXMOC8lY0GoFgujSs/Wgr8sog0qL+62NU0RWqWwhFb9Aq9H
pFSADi3KICJ7FZSPnTdGQ08FdMXDUr3c+J1SVrpThUM6qbiEQyTBhf/uH4N04z/O
H8TSze++j9mZIRg/2RXtLQqvj/GKh8W3pi9ivj06BW+Tc65bBPqb+al4ajlVk/n8
EwskF/JN0ucdUhGTQfo3zDhoEvnI+78xbezcQUwBNPO0SVKsHxGDCrIB6URUKt4S
tcHH3YR48NcffdhAhlddhu4a3NNnQsFo/p8t2A72R1c68uv7Ktvs9/AvcSjB2PwF
qNreuROn/3v4yrlA8NNepRoFFyIVh43NUQRrjV60C86ZuhCvbk4jT3F9rTQBibJL
wZHtVAwRqB5+6vawFomu7zcvZ6FBW17HNw3wddOH35YDaHRSNXE/F4KoRWNc63P8
DkJ2MQPrJfk3+k2RlWbtPjuTUVXfDNAlFCUblDW2Jo2G0Xva02iczS3q4p1LU0Jp
0NDieiWnxAi22ux3dy7557+zrt7V4l5PVWi70w0ziPuIGlnEeNI9x2emxSHx2rgF
6w/g6rsPFpWILH2BY+M/yXH2Lwypwd7mBLvmMWZO4M9ARgieemZOjPZmJX9lZ6iJ
yF2uHNLIz0wtyO+XkY2eHIWKyxe3dIrTFifnbtXCD5KeOPgWvdqDPc6WERkQOsvJ
SQldFI0on+pVG5qEGQnU
=VjJq
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>:
Bug#511377; Package rxvt-unicode. (Wed, 28 Dec 2011 13:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>. (Wed, 28 Dec 2011 13:00:22 GMT) Full text and rfc822 format available.

Message #52 received at 511377@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Ryan Kavanagh <ryanakca@kubuntu.org>
Cc: 531751@bugs.debian.org, control@bugs.debian.org, 511377@bugs.debian.org
Subject: Re: Bug#531751: fixed in rxvt-unicode 9.14-1
Date: Wed, 28 Dec 2011 13:44:42 +0100
reopen 531751
reopen 511377
thanks

    Hi!

* Ryan Kavanagh <ryanakca@kubuntu.org> [2011-12-23 01:03:25 CET]:
>      - Fixes bugs in tabbed extension (Closes: #531751, #511377, #459924)

 Unfortunately that doesn't seem to be true.  I can't tell for 459924
because I was never able to reproduce the issue, but I downloaded
rxvt-unicode-256color, installed it and am still able to reproduce both
#531751 and #511377.

 A new bug that now happens additionally: the bottom line of the
terminal is always blank, the prompt and everything ends a line above
there.

 Would be kind if you could test the package prior to the upload if it
really fixes the bugs, I have a hard time to understand why you claim
that this closes the issue.

 Easy reproduction: Starting "rxvt-unicode -pe tabbed", getting mouse
focus, press alt-s (see the yellow search bar at the bottom) or
shift-pageup (scroll backwards, need something in the scrollback buffer
obviously).  Then move the mouse out of the terminal but keep focus on
the terminal and try again.  You will notice that neither of these two
things work, and that is both in 9.12-1 from testing and 9.14-1 from
unstable.  The issue got tested by someone else from #debian-devel too,
so it's not just me.

 So long,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Bug No longer marked as fixed in versions rxvt-unicode/9.14-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Dec 2011 13:01:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>:
Bug#511377; Package rxvt-unicode. (Wed, 28 Dec 2011 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Kavanagh <ryanakca@kubuntu.org>:
Extra info received and forwarded to list. Copy sent to Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>. (Wed, 28 Dec 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #59 received at 511377@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 531751@bugs.debian.org, 511377@bugs.debian.org
Subject: Re: Bug#531751: fixed in rxvt-unicode 9.14-1
Date: Wed, 28 Dec 2011 18:23:22 -0500
[Message part 1 (text/plain, inline)]
Hi Rhonda,

On Wed, Dec 28, 2011 at 01:44:42PM +0100, Gerfried Fuchs wrote:
> A new bug that now happens additionally: the bottom line of the
> terminal is always blank, the prompt and everything ends a line above
> there.

I notice that, please open a separate bug report and I'll bring it to
upstream's attention.

> Would be kind if you could test the package prior to the upload if it
> really fixes the bugs, I have a hard time to understand why you claim
> that this closes the issue.

I'll personally test bug fixes in the future. I claimed that it closed
the above bugs in the changelog entry based on both IRC conversations
with upstream in which I was informed the bugs were fixed and an entry
in upstream's changelog. Not that I'm trying to shift the blame,
upstream and I may simply have had a misunderstanding.

Sorry for the inconvenience and thanks for bringing it to my attention,
Ryan
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ryan Kavanagh <rak@debian.org> to control@bugs.debian.org. (Wed, 18 Jan 2012 18:10:45 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Ryan Kavanagh <rak@debian.org> to control@bugs.debian.org. (Wed, 18 Jan 2012 18:10:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:42:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.